@import "../partials/mixins";
@import "../partials/variables";
@import "../partials/classes";

@import "./typography.scss";

// to define the position of toast
.wx__toast__wrapper {
  position: fixed;
  min-width: 260px;
  max-width: 550px;
  bottom: 0px;
  left: 50%;
  transform: translateX(-50%);
}

.wx__toast__wrapper-top-left {
}
.wx__toast__wrapper-top-center {
}
.wx__toast__wrapper-top-right {
}
.wx__toast__wrapper-bottom-left {
}
.wx__toast__wrapper-bottom-right {
}

// end

// toast default style
.wx__toast__slice {
  display: flex;
  align-items: center;
  justify-content: space-between;
  max-width: 504px;
  min-height: 56px;
  transition: 0.3s;
  border-radius: 4px;
  margin-bottom: 20px;
  @media (max-width: 575.98px) {
    margin: 5px;
    min-width: 100px;
  }
  animation: toast_slice_animate 0.7s forwards;
}

.wx__single__toast {
  @extend .wx__toast__slice;
  background: $neutral__900;
  // animation: toast_slice_animate 0.7s forwards;
}

@keyframes toast_slice_animate {
  from,
  60%,
  75%,
  90%,
  to {
    -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
    animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
  }

  from {
    opacity: 0;
    -webkit-transform: translate3d(0, 3000px, 0) scaleY(5);
    transform: translate3d(0, 3000px, 0) scaleY(5);
  }

  60% {
    opacity: 1;
    -webkit-transform: translate3d(0, -20px, 0) scaleY(0.9);
    transform: translate3d(0, -20px, 0) scaleY(0.9);
  }

  75% {
    -webkit-transform: translate3d(0, 10px, 0) scaleY(0.95);
    transform: translate3d(0, 10px, 0) scaleY(0.95);
  }

  90% {
    -webkit-transform: translate3d(0, -5px, 0) scaleY(0.985);
    transform: translate3d(0, -5px, 0) scaleY(0.985);
  }

  to {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
}

.wx__single__toast-success {
  @extend .wx__toast__slice;
  background: $green__700;
}

.wx__single__toast-danger {
  @extend .wx__toast__slice;
  background: $red__700;
}

.wx__single__toast-warning {
  @extend .wx__toast__slice;
  background: $orange__700;
}

.wx__single__toast__body {
  display: flex;
  align-items: center;
  padding: 16px 64px 16px 16px;
  @extend .wx__text_body;
  @extend .wx__text_medium;
  @media (max-width: 575.98px) {
    font-size: 0.813rem;
  }
}

.wx__single__toast__message-part {
  color: $neutral__100 !important;
  // color: white;
  // font-size: 14px;
  // @extend .wx__text_body; @extend .wx__text_medium;;
}

.wx__single__toast__icon {
  color: $neutral__100;
  width: 20px;
  cursor: pointer;
  @media (max-width: 575.98px) {
    margin: 0 16px 0 0;
  }
}

.wx__single__toast__front__icon {
  @extend .wx__single__toast__icon;
  margin: 0 14px 0 0;
}

.wx__single__toast__close__btn {
  @extend .wx__single__toast__icon;
  margin: 0 21px 0 0;
  // font-size: 28px;
  // width: 100%;
  // position: relative;
  // &::after {
  //   font-size: 1.5rem;
  //   // @extend .wx__text_body; @extend .wx__text_medium;;
  //   content: "close";
  //   font-family: "Material Icons Outlined";
  // }
}

.wx__info {
  background: $orange__100;
  // min-width: 256px;
  // max-width: 436px;
  width: 256px;
  border-radius: 8px;
  padding: 14.5px;
  .wx__info__body {
    display: flex;
    align-items: center;
    // padding: 16px;
    color: $orange__900;
    .wx__info__message-part {
      width: 204px;
    }
    @extend .wx__footnote_desc;
    .wx__info__message__front__icon {
      margin: 0 10px 0 0;
    }
  }
}

.wx__info__danger {
  background: $red__100;
  // min-width: 256px;
  // max-width: 436px;
  width: 560px;
  padding: 14.5px;
  border-radius: 8px;
  .wx__info__body {
    display: flex;
    align-items: center;
    // padding: 16px;
    color: $red__900;
    .wx__info__message-part {
      // width: 204px;
    }
    @extend .wx__footnote_desc;
    .wx__info__message__front__icon {
      margin: 0 10px 0 0;
    }
  }
}
